Subject: [sup-talk] [PATCH] flexible sent source

From: [email-masked] (Ben Walton)
Date: Tue, 29 Apr 2008 09:47:48 -0400

Hi All,

I spoke briefly with William yesterday about this, but didn't get a
chance to package it until just now...

I've recently discovered sup and am looking to try it out to see if it
will work for my needs (or can be made to).  It seems to combine the
things I love about mutt and gmail into a great package (and ruby is a
plus too!).  Right off the bat, I wanted support for maildir or imap
storage of sent mail (I live in nfs land so I tend to have a natural
distaste for mbox).  I've implemented the basic functionality for this
although there is more room to work (the mbox version is implemented
in SentLoader as I didn't want to get into refactoring mbox code yet).

Also, this is my first exposure to working with git, so I apologize if
the attached patch isn't up to snuff...Comments welcome, and I'll
certainly update the patch and resubmit.

I hope you'll find this useful...It's working for me currently, but
there are likely some things that could be improved.

Thanks
-Ben
-- 
---------------------------------------------------------------------------------------------------------------------------
Ben Walton <bdwalton at gmail.com>

When one person suffers from a delusion, it is called insanity. When
many people suffer from a delusion it is called Religion.
Robert M. Pirsig, Zen and the Art of Motorcycle Maintenance

---------------------------------------------------------------------------------------------------------------------------
-------------- next part --------------
A non-text attachment was scrubbed...
Name: 0001-flexible-sent-source.patch
Type: text/x-patch
Size: 10392 bytes
Desc: not available
URL: <http://rubyforge.org/pipermail/sup-talk/attachments/20080429/7093195a/attachment-0001.bin>